Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

prep for pre2 tag

  • Loading branch information...
commit 8eed91d4d848ede9eb3a20add3b649c09f83c9d0 1 parent 7d4c7ed
Jim Garlick garlick authored
Showing with 22 additions and 19 deletions.
  1. +6 −0 AUTHORS
  2. +5 −5 Makefile.in
  3. +3 −6 lmt-gui.spec
  4. +8 −8 scripts/lwatch
6 AUTHORS
View
@@ -0,0 +1,6 @@
+Chris Morrone
+Neil O'Neil
+Jeff Long
+Paul Spencer
+Herb Wartens
+Jim Garlick <garlick.jim@gmail.com>
10 Makefile.in
View
@@ -2,7 +2,7 @@ LMT_FULL_JAR=@CLIENT_DIR@/lmt-complete.jar
LMT_APP_JAR =@CLIENT_DIR@/lmt-app.jar
everything:
- #$(MAKE) charva
+ $(MAKE) charva
$(MAKE) all
$(MAKE) fulljar
@@ -22,8 +22,8 @@ all:
@cd @JAVA_DIR@/gov/llnl/lustre/utility; make all
@cd @JAVA_DIR@/gov/llnl/lustre/database; make all
- #@cd @JAVA_DIR@/gov/llnl/lustre/lstat; make all
- #@cd @JAVA_DIR@/gov/llnl/lustre/ltop; make all
+ @cd @JAVA_DIR@/gov/llnl/lustre/lstat; make all
+ @cd @JAVA_DIR@/gov/llnl/lustre/ltop; make all
@cd @JAVA_DIR@/gov/llnl/lustre/lwatch/util; make all
@cd @JAVA_DIR@/gov/llnl/lustre/lwatch; make all
@@ -33,8 +33,8 @@ clean:
@echo "*********************"
@cd @JAVA_DIR@/gov/llnl/lustre/utility; make clean
@cd @JAVA_DIR@/gov/llnl/lustre/database; make clean
- #@cd @JAVA_DIR@/gov/llnl/lustre/lstat; make clean
- #@cd @JAVA_DIR@/gov/llnl/lustre/ltop; make clean
+ @cd @JAVA_DIR@/gov/llnl/lustre/lstat; make clean
+ @cd @JAVA_DIR@/gov/llnl/lustre/ltop; make clean
@cd @JAVA_DIR@/gov/llnl/lustre/lwatch/util; make clean
@cd @JAVA_DIR@/gov/llnl/lustre/lwatch; make clean
@cd @CLIENT_DIR@; /bin/rm -f $(LMT_APP_JAR) $(LMT_FULL_JAR)
9 lmt-gui.spec
View
@@ -5,16 +5,13 @@ Release:
License: GPL
Group: Applications/System
Summary: Lustre Montitoring Tools Client
-URL: http://sourceforge.net/projects/lmt/
+URL: http://code.google.com/p/lmt
Packager: Jim Garlick <garlick@llnl.gov>
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ant, ant-nodeps
-%if 0%{?ch4}
-BuildRequires: java-1.5.0-ibm-devel, java-1.5.0-ibm
-%else
+BuildRequires: ncurses
BuildRequires: jre >= 1.4.2, java-devel >= 1.4.2
-%endif
Requires: jre >= 1.4.2
Obsoletes: lmt-client < 3.0
%define __spec_install_post /usr/lib/rpm/brp-compress || :
@@ -49,5 +46,5 @@ rm -rf $RPM_BUILD_ROOT
%doc ChangeLog NEWS DISCLAIMER COPYING
%{_bindir}/lwatch
%dir %{lmtlibdir}
-%{lmtrc}/sample.lmtrc
+%{lmtlibdir}/sample.lmtrc
%attr(0644,root,root) %{lmtlibdir}/lmt-complete.jar
16 scripts/lwatch
View
@@ -126,14 +126,14 @@ getjava
# Check for incompatible java.
#
-$JAVA -version 2>&1 | grep gij > /dev/null
-if [ $? -eq 0 ]
-then
- echo "*** Warning: Your default java ($JAVA) is Gnu Java (gij),"
- echo "*** which does not fully implement the Swing classes required by GUIs."
- echo "*** You may have better results setting JAVA_HOME to point to a JDK"
- echo "*** from Sun, IBM, or BEA."
-fi
+#$JAVA -version 2>&1 | grep gij > /dev/null
+#if [ $? -eq 0 ]
+#then
+# echo "*** Warning: Your default java ($JAVA) is Gnu Java (gij),"
+# echo "*** which does not fully implement the Swing classes required by GUIs."
+# echo "*** You may have better results setting JAVA_HOME to point to a JDK"
+# echo "*** from Sun, IBM, or BEA."
+#fi
$JAVA -Xmx64m $JAVA_ARGS -cp $CLASSPATH gov.llnl.lustre.lwatch.LWatch $PROG_ARGS
Please sign in to comment.
Something went wrong with that request. Please try again.